io.undertow.server.handlers

## Interface Cookie

All Superinterfaces:
  Comparable

All Known Implementing Classes:
  CookieImpl

    public interface Cookie
    extends Comparable

A HTTP cookie.

Author:
  Stuart Douglas
See Also:
  `Connectors`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `compareTo(Object other)`
`String` `getComment()`
`String` `getDomain()`
`Date` `getExpires()`
`Integer` `getMaxAge()`
`String` `getName()`
`String` `getPath()`
`default String` `getSameSiteMode()`
`String` `getValue()`
`int` `getVersion()`
`boolean` `isDiscard()`
`boolean` `isHttpOnly()`
`default boolean` `isSameSite()`
`boolean` `isSecure()`
`Cookie` `setComment(String comment)`
`Cookie` `setDiscard(boolean discard)`
`Cookie` `setDomain(String domain)`
`Cookie` `setExpires(Date expires)`
`Cookie` `setHttpOnly(boolean httpOnly)`
`Cookie` `setMaxAge(Integer maxAge)`
`Cookie` `setPath(String path)`
`default Cookie` `setSameSite(boolean sameSite)`
`default Cookie` `setSameSiteMode(String mode)`
`Cookie` `setSecure(boolean secure)`
`Cookie` `setValue(String value)`
`Cookie` `setVersion(int version)`

### Method Detail

#### getName

    String getName()

#### getValue

    String getValue()

#### setValue

    Cookie setValue(String value)

#### getPath

    String getPath()

#### setPath

    Cookie setPath(String path)

#### getDomain

    String getDomain()

#### setDomain

    Cookie setDomain(String domain)

#### getMaxAge

    Integer getMaxAge()

#### setMaxAge

    Cookie setMaxAge(Integer maxAge)

#### isDiscard

    boolean isDiscard()

#### setDiscard

    Cookie setDiscard(boolean discard)

#### isSecure

    boolean isSecure()

#### setSecure

    Cookie setSecure(boolean secure)

#### getVersion

    int getVersion()

#### setVersion

    Cookie setVersion(int version)

#### isHttpOnly

    boolean isHttpOnly()

#### setHttpOnly

    Cookie setHttpOnly(boolean httpOnly)

#### getExpires

    Date getExpires()

#### setExpires

    Cookie setExpires(Date expires)

#### getComment

    String getComment()

#### setComment

    Cookie setComment(String comment)

#### isSameSite

    default boolean isSameSite()

#### setSameSite

    default Cookie setSameSite(boolean sameSite)

#### getSameSiteMode

    default String getSameSiteMode()

#### setSameSiteMode

    default Cookie setSameSiteMode(String mode)

#### compareTo

    default int compareTo(Object other)

Specified by:
  `compareTo` in interface `Comparable`